.TH OCIOCONVERT "1" "August 2022" "ocioconvert -- apply colorspace transform to an image" "User Commands"
.SH NAME
ocioconvert \- apply colorspace transform to an image
.SH DESCRIPTION
ocioconvert \fB\-\-\fR apply colorspace transform to an image
.PP
usage: ocioconvert [options]  inputimage inputcolorspace outputimage outputcolorspace
.IP
or: ocioconvert [options] \fB\-\-lut\fR lutfile inputimage outputimage
or: ocioconvert [options] \fB\-\-view\fR inputimage inputcolorspace outputimage displayname viewname
.SH OPTIONS
.TP
\fB\-\-lut\fR
Convert using a LUT rather than a config file
.TP
\fB\-\-view\fR
Convert to a (display,view) pair rather than to an output color space
.TP
\fB\-\-gpu\fR
Use GPU color processing instead of CPU (CPU is the default)
.TP
\fB\-\-gpulegacy\fR
Use the legacy (i.e. baked) GPU color processing instead of the CPU one (\fB\-\-gpu\fR is ignored)
.TP
\fB\-\-gpuinfo\fR
Output the OCIO shader program
.TP
\fB\-\-help\fR
Print help message
.TP
\fB\-v\fR
Display general information
.SS "OpenImageIO options:"
.TP
\fB\-\-float\-attribute\fR %L
"name=float" pair defining OIIO float attribute for outputimage
.TP
\fB\-\-int\-attribute\fR %L
"name=int" pair defining OIIO int attribute for outputimage
.TP
\fB\-\-string\-attribute\fR %L
"name=string" pair defining OIIO string attribute for outputimage
.TP
\fB\-\-croptofull\fR
Crop or pad to make pixel data region match the "full" region
.TP
\fB\-\-ch\fR %s
Select channels (e.g., "2,3,4")
.PP
usage: ocioconvert [options]  inputimage inputcolorspace outputimage outputcolorspace
.IP
or: ocioconvert [options] \fB\-\-lut\fR lutfile inputimage outputimage
or: ocioconvert [options] \fB\-\-view\fR inputimage inputcolorspace outputimage displayname viewname
.TP
\fB\-\-lut\fR
Convert using a LUT rather than a config file
.TP
\fB\-\-view\fR
Convert to a (display,view) pair rather than to an output color space
.TP
\fB\-\-gpu\fR
Use GPU color processing instead of CPU (CPU is the default)
.TP
\fB\-\-gpulegacy\fR
Use the legacy (i.e. baked) GPU color processing instead of the CPU one (\fB\-\-gpu\fR is ignored)
.TP
\fB\-\-gpuinfo\fR
Output the OCIO shader program
.TP
\fB\-\-help\fR
Print help message
.TP
\fB\-v\fR
Display general information
.SS "OpenImageIO options:"
.TP
\fB\-\-float\-attribute\fR %L
"name=float" pair defining OIIO float attribute for outputimage
.TP
\fB\-\-int\-attribute\fR %L
"name=int" pair defining OIIO int attribute for outputimage
.TP
\fB\-\-string\-attribute\fR %L
"name=string" pair defining OIIO string attribute for outputimage
.TP
\fB\-\-croptofull\fR
Crop or pad to make pixel data region match the "full" region
.TP
\fB\-\-ch\fR %s
Select channels (e.g., "2,3,4")
.SH "SEE ALSO"
The full documentation for
.B ocioconvert
is maintained as a Texinfo manual.  If the
.B info
and
.B ocioconvert
programs are properly installed at your site, the command
.IP
.B info ocioconvert
.PP
should give you access to the complete manual.
